<template>
  <v-row class="section">
    <v-col md="4" v-if="align == 'right' && $vuetify.breakpoint.mdAndUp">
      <v-spacer></v-spacer>
    </v-col>
    <v-col md="8" sm="12">
      <v-container>
        <v-row>
          <div v-html="content" v-if="content"></div>
        </v-row>
        <v-row>
          <v-col md="11" v-if="align == 'right' && $vuetify.breakpoint.mdAndUp">
            <v-spacer></v-spacer>
          </v-col>
          <v-col sm="12" md="1" class="px-0">
            <v-icon large @click="scrollToTop" class="up">$vuetify.icons.upIcon</v-icon>
          </v-col>
          <v-col md="11" v-if="align == 'left' && $vuetify.breakpoint.mdAndUp">
            <v-spacer></v-spacer>
          </v-col>
        </v-row>
      </v-container>
    </v-col>
    <v-col md="4" v-if="align == 'left' && $vuetify.breakpoint.mdAndUp">
      <v-spacer></v-spacer>
    </v-col>
  </v-row>
</template>

<script>
export default {
  props: {
    content: String,
    align: String
  },

  methods: {
    scrollToTop() {
      window.scrollTo(0, 0);
    }
  }
};
</script>

<style>
.section {
  max-width: 1400px;
  margin-top: 10em !important;
}
.v-application .text-h3 {
  border-top: 1px solid #212121;
  border-bottom: 1px solid #212121;
  padding-top: 0.5em;
  padding-bottom: 0.3em;
  margin-bottom: 0.5em;
}
.section p.text-body-1 {
  margin-bottom: 1.35em;
}
.section a {
  color: #B2B2B2 !important;
  font-family: 'Helvetica Neue LT W05 75 Bold', sans-serif;
  line-height: 1.1em !important;
}
.section a:hover {
  color: #212121 !important;
}
.section blockquote {
  font-family: 'Helvetica Neue LT W05 75 Bold', sans-serif !important;
  font-size: 1.6em !important;
  line-height: 1em;
  word-spacing: -0.05em;
}
.section blockquote p.text-body-1, .section ol {
  text-transform: uppercase;
  margin: 0;
  padding: 0;
  display: inline;
  font-family: 'Helvetica Neue LT W05 75 Bold', sans-serif !important;
  font-size: 1em !important;
  line-height: 1.3em;
  letter-spacing: 0.04em !important;
}
.section h4 {
  margin-top: 1em;
}
.section blockquote {
  margin-bottom: 0.3em;
  font-size: 2.4em !important;
}
.section blockquote::before {
  content: "«";
  margin-right: -0.2em;
}
.section blockquote::after {
  content: "»";
  margin-left: -0.2em;
}
.section ul, .section ol {
  display: block;
  margin-bottom: 0.5em;
}
.section ul {
  padding-left: 1.5em;
  display: block;
  margin-bottom: 0.5em;
}
.section ul li {
  padding-left: 1.2em;
  font-size: 1rem;
  font-weight: 600;
}
.section img {
  display: block;
  width: 100%;
  max-width: 350px;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}
.section ol {
  font-size: 2.4em !important;
  padding-left: 1.2em;
  list-style-position: outside;
}
.section button.up {
  margin-top: -0.7em;
}
.section .up svg {
  color: #212121;
}
.section .up svg:hover {
  color: #B2B2B2;
}

@media only screen and (max-width: 960px) {
  .section p.text-body-1 {
    font-size: 0.8rem !important;
  }
  .section {
    margin-top: 6em !important;
  }
  .section blockquote {
    text-align: center;
    font-size: 1.8em !important;
    line-height: 1.35em;
  }
  .section img {
    max-width: 420px;
  }
  .section h3.text-h3, .section h4.text-h4 {
    font-size: 0.8rem !important;
  }
  .section ol {
    padding-left: 0.9em;
  }
  .section ol li + li {
    margin-top: 0.5em;
  }
  .section ol li {
    font-size: 1.1rem !important;
    line-height: 1.3rem;
  }
  .section ul li {
    font-size: 0.8rem;
  }
}
</style>
